Random letters
Most popular
Newest
Latest
Merry Christmas bb

Read full letter

snad už nejsi nemotivovaná jako já v tuhle dobu, snad už víš co ze životem, zda cestovat nebo budovat. Mým aktuálním snem je letět na Island a pul roku tam pracovat a procestovat to tak....

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

.. ..as all starts, we were strangers. .. hey, it's me. 3nood, the junior you seem to spend your time teaching and listening to. your deer lmao. i'm writing this on the 11th of june of 2017,...

Read full letter

Hoi mase depan jai...ko buat ape skang?aku harap ko dah jadi jutawan?ko pakai kete ape skang?anak ko dah berape?bini ko name ape?Ko akan dapat surat ni mase besday ko yang ke 39...ko jagelah...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter